# Uses of Interface
org.apache.commons.math3.geometry.Point

Packages that use Point
Package
Description
org.apache.commons.math3.geometry
This package is the top level package for geometry.
org.apache.commons.math3.geometry.enclosing
This package provides interfaces and classes related to the smallest enclosing ball problem.
org.apache.commons.math3.geometry.euclidean.oned
This package provides basic 1D geometry components.
org.apache.commons.math3.geometry.euclidean.threed
This package provides basic 3D geometry components.
org.apache.commons.math3.geometry.euclidean.twod
This package provides basic 2D geometry components.
org.apache.commons.math3.geometry.hull
This package provides interfaces and classes related to the convex hull problem.
org.apache.commons.math3.geometry.partitioning
This package provides classes to implement Binary Space Partition trees.
org.apache.commons.math3.geometry.spherical.oned
This package provides basic geometry components on the 1-sphere.
org.apache.commons.math3.geometry.spherical.twod
This package provides basic geometry components on the 2-sphere.

## Uses of Point in org.apache.commons.math3.geometry

Subinterfaces of Point in org.apache.commons.math3.geometry
Modifier and Type
Interface
Description
`interface`
`Vector<S extends Space>`
This interface represents a generic vector in a vectorial space or a point in an affine space.
Methods in org.apache.commons.math3.geometry with parameters of type Point
Modifier and Type
Method
Description
`double`
Point.`distance(Point<S> p)`
Compute the distance between the instance and another point.

## Uses of Point in org.apache.commons.math3.geometry.enclosing

Classes in org.apache.commons.math3.geometry.enclosing with type parameters of type Point
Modifier and Type
Interface
Description
`interface`
`Encloser<S extends Space,P extends Point<S>>`
Interface for algorithms computing enclosing balls.
`class`
`EnclosingBall<S extends Space,P extends Point<S>>`
This class represents a ball enclosing some points.
`interface`
`SupportBallGenerator<S extends Space,P extends Point<S>>`
Interface for generating balls based on support points.
`class`
`WelzlEncloser<S extends Space,P extends Point<S>>`
Class implementing Emo Welzl algorithm to find the smallest enclosing ball in linear time.
Methods in org.apache.commons.math3.geometry.enclosing that return Point
Modifier and Type
Method
Description
`P[]`
EnclosingBall.`getSupport()`
Get the support points used to define the ball.
Constructors in org.apache.commons.math3.geometry.enclosing with parameters of type Point
Modifier
Constructor
Description
``
`EnclosingBall(P center, double radius, P... support)`
Simple constructor.

## Uses of Point in org.apache.commons.math3.geometry.euclidean.oned

Classes in org.apache.commons.math3.geometry.euclidean.oned that implement Point
Modifier and Type
Class
Description
`class`
`Vector1D`
This class represents a 1D vector.
Methods in org.apache.commons.math3.geometry.euclidean.oned that return Point
Modifier and Type
Method
Description
`Point<Euclidean1D>`
OrientedPoint.`project(Point<Euclidean1D> point)`
Project a point to the hyperplane.
Methods in org.apache.commons.math3.geometry.euclidean.oned with parameters of type Point
Modifier and Type
Method
Description
`double`
Vector1D.`distance(Point<Euclidean1D> p)`
Compute the distance between the instance and another point.
`double`
OrientedPoint.`getOffset(Point<Euclidean1D> point)`
Get the offset (oriented distance) of a point.
`Point<Euclidean1D>`
OrientedPoint.`project(Point<Euclidean1D> point)`
Project a point to the hyperplane.
`BoundaryProjection<Euclidean1D>`
IntervalsSet.`projectToBoundary(Point<Euclidean1D> point)`
Project a point on the boundary of the region.

## Uses of Point in org.apache.commons.math3.geometry.euclidean.threed

Classes in org.apache.commons.math3.geometry.euclidean.threed that implement Point
Modifier and Type
Class
Description
`class`
`Vector3D`
This class implements vectors in a three-dimensional space.
Methods in org.apache.commons.math3.geometry.euclidean.threed that return Point
Modifier and Type
Method
Description
`Point<Euclidean3D>`
Plane.`project(Point<Euclidean3D> point)`
Project a point to the hyperplane.
Methods in org.apache.commons.math3.geometry.euclidean.threed with parameters of type Point
Modifier and Type
Method
Description
`double`
Vector3D.`distance(Point<Euclidean3D> v)`
Compute the distance between the instance and another point.
`double`
Plane.`getOffset(Point<Euclidean3D> point)`
Get the offset (oriented distance) of a point.
`Point<Euclidean3D>`
Plane.`project(Point<Euclidean3D> point)`
Project a point to the hyperplane.
`Vector3D`
Line.`toSpace(Point<Euclidean1D> point)`
Transform a sub-space point into a space point.
`Vector3D`
Plane.`toSpace(Point<Euclidean2D> point)`
Transform an in-plane point into a 3D space point.
`Vector1D`
Line.`toSubSpace(Point<Euclidean3D> point)`
Transform a space point into a sub-space point.
`Vector2D`
Plane.`toSubSpace(Point<Euclidean3D> point)`
Transform a 3D space point into an in-plane point.

## Uses of Point in org.apache.commons.math3.geometry.euclidean.twod

Classes in org.apache.commons.math3.geometry.euclidean.twod that implement Point
Modifier and Type
Class
Description
`class`
`Vector2D`
This class represents a 2D vector.
Methods in org.apache.commons.math3.geometry.euclidean.twod that return Point
Modifier and Type
Method
Description
`Point<Euclidean2D>`
Line.`project(Point<Euclidean2D> point)`
Project a point to the hyperplane.
Methods in org.apache.commons.math3.geometry.euclidean.twod with parameters of type Point
Modifier and Type
Method
Description
`double`
Vector2D.`distance(Point<Euclidean2D> p)`
Compute the distance between the instance and another point.
`double`
Line.`getOffset(Point<Euclidean2D> point)`
Get the offset (oriented distance) of a point.
`Point<Euclidean2D>`
Line.`project(Point<Euclidean2D> point)`
Project a point to the hyperplane.
`Vector2D`
Line.`toSpace(Point<Euclidean1D> point)`
Transform a sub-space point into a space point.
`Vector1D`
Line.`toSubSpace(Point<Euclidean2D> point)`
Transform a space point into a sub-space point.

## Uses of Point in org.apache.commons.math3.geometry.hull

Classes in org.apache.commons.math3.geometry.hull with type parameters of type Point
Modifier and Type
Interface
Description
`interface`
`ConvexHull<S extends Space,P extends Point<S>>`
This class represents a convex hull.
`interface`
`ConvexHullGenerator<S extends Space,P extends Point<S>>`
Interface for convex hull generators.
Methods in org.apache.commons.math3.geometry.hull that return Point
Modifier and Type
Method
Description
`P[]`
ConvexHull.`getVertices()`
Get the vertices of the convex hull.

## Uses of Point in org.apache.commons.math3.geometry.partitioning

Methods in org.apache.commons.math3.geometry.partitioning that return Point
Modifier and Type
Method
Description
`Point<S>`
Transform.`apply(Point<S> point)`
Transform a point of a space.
`Point<S>`
AbstractRegion.`getBarycenter()`
Get the barycenter of the instance.
`Point<S>`
Region.`getBarycenter()`
Get the barycenter of the instance.
`Point<S>`
BoundaryProjection.`getOriginal()`
Get the original point.
`Point<S>`
BoundaryProjection.`getProjected()`
Projected point.
`Point<S>`
Hyperplane.`project(Point<S> point)`
Project a point to the hyperplane.
`Point<S>`
Embedding.`toSpace(Point<T> point)`
Transform a sub-space point into a space point.
`Point<T>`
Embedding.`toSubSpace(Point<S> point)`
Transform a space point into a sub-space point.
Methods in org.apache.commons.math3.geometry.partitioning with parameters of type Point
Modifier and Type
Method
Description
`Point<S>`
Transform.`apply(Point<S> point)`
Transform a point of a space.
`protected Region.Location`
AbstractRegion.`checkPoint(BSPTree<S> node, Point<S> point)`
Check a point with respect to the region starting at a given node.
`Region.Location`
AbstractRegion.`checkPoint(Point<S> point)`
Check a point with respect to the region.
`Region.Location`
Region.`checkPoint(Point<S> point)`
Check a point with respect to the region.
`BSPTree<S>`
BSPTree.`getCell(Point<S> point, double tolerance)`
Get the cell to which a point belongs.
`List<BSPTree<S>>`
BSPTree.`getCloseCuts(Point<S> point, double maxOffset)`
Get the cells whose cut sub-hyperplanes are close to the point.
`double`
Hyperplane.`getOffset(Point<S> point)`
Get the offset (oriented distance) of a point.
`Point<S>`
Hyperplane.`project(Point<S> point)`
Project a point to the hyperplane.
`BoundaryProjection<S>`
AbstractRegion.`projectToBoundary(Point<S> point)`
Project a point on the boundary of the region.
`BoundaryProjection<S>`
Region.`projectToBoundary(Point<S> point)`
Project a point on the boundary of the region.
`protected void`
AbstractRegion.`setBarycenter(Point<S> barycenter)`
Set the barycenter of the instance.
`Point<S>`
Embedding.`toSpace(Point<T> point)`
Transform a sub-space point into a space point.
`Point<T>`
Embedding.`toSubSpace(Point<S> point)`
Transform a space point into a sub-space point.
Constructors in org.apache.commons.math3.geometry.partitioning with parameters of type Point
Modifier
Constructor
Description
``
`BoundaryProjection(Point<S> original, Point<S> projected, double offset)`
Constructor from raw elements.

## Uses of Point in org.apache.commons.math3.geometry.spherical.oned

Classes in org.apache.commons.math3.geometry.spherical.oned that implement Point
Modifier and Type
Class
Description
`class`
`S1Point`
This class represents a point on the 1-sphere.
Methods in org.apache.commons.math3.geometry.spherical.oned that return Point
Modifier and Type
Method
Description
`Point<Sphere1D>`
LimitAngle.`project(Point<Sphere1D> point)`
Project a point to the hyperplane.
Methods in org.apache.commons.math3.geometry.spherical.oned with parameters of type Point
Modifier and Type
Method
Description
`double`
S1Point.`distance(Point<Sphere1D> point)`
Compute the distance between the instance and another point.
`double`
LimitAngle.`getOffset(Point<Sphere1D> point)`
Get the offset (oriented distance) of a point.
`Point<Sphere1D>`
LimitAngle.`project(Point<Sphere1D> point)`
Project a point to the hyperplane.
`BoundaryProjection<Sphere1D>`
ArcsSet.`projectToBoundary(Point<Sphere1D> point)`
Project a point on the boundary of the region.

## Uses of Point in org.apache.commons.math3.geometry.spherical.twod

Classes in org.apache.commons.math3.geometry.spherical.twod that implement Point
Modifier and Type
Class
Description
`class`
`S2Point`
This class represents a point on the 2-sphere.
Methods in org.apache.commons.math3.geometry.spherical.twod that return Point
Modifier and Type
Method
Description
`Point<Sphere2D>`
Circle.`project(Point<Sphere2D> point)`
Project a point to the hyperplane.
Methods in org.apache.commons.math3.geometry.spherical.twod with parameters of type Point
Modifier and Type
Method
Description
`double`
S2Point.`distance(Point<Sphere2D> point)`
Compute the distance between the instance and another point.
`double`
Circle.`getOffset(Point<Sphere2D> point)`
Get the offset (oriented distance) of a point.
`Point<Sphere2D>`
Circle.`project(Point<Sphere2D> point)`
Project a point to the hyperplane.
`S2Point`
Circle.`toSpace(Point<Sphere1D> point)`
Transform a sub-space point into a space point.
`S1Point`
Circle.`toSubSpace(Point<Sphere2D> point)`
Transform a space point into a sub-space point.